org.apache.hadoop.mapreduce.v2.app.job.event

## Class JobUpdatedNodesEvent

- java.lang.Object
- - org.apache.hadoop.yarn.event.AbstractEvent<JobEventType>
  - - org.apache.hadoop.mapreduce.v2.app.job.event.JobEvent
    - - org.apache.hadoop.mapreduce.v2.app.job.event.JobUpdatedNodesEvent

- All Implemented Interfaces:
    org.apache.hadoop.yarn.event.Event<JobEventType>

      public class JobUpdatedNodesEvent
      extends JobEvent

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JobUpdatedNodesEvent(org.apache.hadoop.mapreduce.v2.api.records.JobId jobId, List<org.apache.hadoop.yarn.api.records.NodeReport> updatedNodes)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<org.apache.hadoop.yarn.api.records.NodeReport>` | `getUpdatedNodes()`

    - ### Methods inherited from class org.apache.hadoop.mapreduce.v2.app.job.event.JobEvent

      `getJobId`

    - ### Methods inherited from class org.apache.hadoop.yarn.event.AbstractEvent

      `getTimestamp, getType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JobUpdatedNodesEvent

          public JobUpdatedNodesEvent(org.apache.hadoop.mapreduce.v2.api.records.JobId jobId,
                                      List<org.apache.hadoop.yarn.api.records.NodeReport> updatedNodes)

  - ### Method Detail

    - #### getUpdatedNodes

          public List<org.apache.hadoop.yarn.api.records.NodeReport> getUpdatedNodes()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.